RDKit: RDKit::Chirality::StereoInfo Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
RDKit::Chirality::StereoInfo Struct Reference

`#include <Chirality.h>`

## Public Member Functions
bool | operator== (const StereoInfo &other) const
bool | operator!= (const StereoInfo &other) const

## Public Attributes
StereoType | type = StereoType::Unspecified
StereoSpecified | specified = StereoSpecified::Unspecified
unsigned | centeredOn = Atom::NOATOM
StereoDescriptor | descriptor = StereoDescriptor::None
unsigned | permutation = 0
std::vector< unsigned > | controllingAtoms

## Static Public Attributes
static constexpr unsigned int | NOATOM

## Detailed Description

Definition at line 117 of file Chirality.h.

## Member Function Documentation

## ◆ operator!=()

bool RDKit::Chirality::StereoInfo::operator!= | ( | const StereoInfo & | other | ) | const
| inline

Definition at line 138 of file Chirality.h.

## ◆ operator==()

bool RDKit::Chirality::StereoInfo::operator== | ( | const StereoInfo & | other | ) | const
| inline

Definition at line 132 of file Chirality.h.

References centeredOn, controllingAtoms, descriptor, permutation, specified, and type.

## Member Data Documentation

## ◆ centeredOn

unsigned RDKit::Chirality::StereoInfo::centeredOn = Atom::NOATOM

Definition at line 127 of file Chirality.h.

Referenced by operator==().

## ◆ controllingAtoms

std::vector<unsigned> RDKit::Chirality::StereoInfo::controllingAtoms

Definition at line 130 of file Chirality.h.

Referenced by operator==().

## ◆ descriptor

StereoDescriptor RDKit::Chirality::StereoInfo::descriptor = StereoDescriptor::None

Definition at line 128 of file Chirality.h.

Referenced by operator==().

## ◆ NOATOM

unsigned int RDKit::Chirality::StereoInfo::NOATOM
| inlinestaticconstexpr

Initial value:
=
Atom::NOATOM
RDKit::Atom::NOATOM
static constexpr unsigned int NOATOM
Definition Atom.h:85

Definition at line 122 of file Chirality.h.

## ◆ permutation

unsigned RDKit::Chirality::StereoInfo::permutation = 0

Definition at line 129 of file Chirality.h.

Referenced by operator==().

## ◆ specified

StereoSpecified RDKit::Chirality::StereoInfo::specified = StereoSpecified::Unspecified

Definition at line 126 of file Chirality.h.

Referenced by operator==().

## ◆ type

StereoType RDKit::Chirality::StereoInfo::type = StereoType::Unspecified

Definition at line 125 of file Chirality.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- Chirality.h